import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { OAuth2Config} from './oauth2-config.model';
import { Observable } from 'rxjs';
import { SERVER_API_URL } from 'app/app.constants';

@Injectable({
  providedIn: 'root'
})
export class OAuth2ConfigService {

  constructor(
	    private http: HttpClient,
	) { }

  get(clientId: string): Observable<OAuth2Config> {
    return this.http.get<OAuth2Config>(SERVER_API_URL + 'oauth2/oauth2Config' + `/${clientId}`);
  }

  getAllConfigs(): Observable<OAuth2Config[]> {
    return this.http.get<OAuth2Config[]>(SERVER_API_URL + 'oauth2Config/allConfigs');
	
}

}
